Daily Transaction Report (Reconciliation)

PG Daily Transaction Report provides merchant end-of-day (EoD) reconciliation or to verify all transactions for a specific date.

Formula of skey

skey = md5({rdate}{merchantID}{secret_key})

Response

(plain text with newline & TAB characters)

Variable / ParameterType Format / Max LengthDescription / Example
BillingDatedate/time (YYYY-MM-DD HH:mm:ss)Transaction date/time
OrderIDalphanumeric, 40 charsInvoice or order number from merchant system.
TranIDinteger, 20 digitsUnique transaction ID for tracking purpose.
ChannelPredefined string in PG systemChannel references for the merchant system.
Amount2 decimal points numeric valueThe payment amount
StatCodestring of 2-digit numeric00 = Success, 11 = Failure, 22 = Pending
StatNamewordSuccess: captured, settled, authorized, Failure: failed, cancelled, chargeback, release, reject/hold, blocked, ReqCancel, ReqChargeback, Pending: Pending, Unknown
BillingNamealphanumeric, 128 charsBuyer full name
ServiceItemtextBilling Information / Description (newline will be replaced by whitespace)
Additional fields: BillingEmail, TransactionRate, TransactionCost, BillingMobileNumber, TransactionFee, GST, NetAmount, IPAddress, BankName, ExpiryDate, StatusDescription, SettlementDate, PaidDate, TerminalID, PayTransactionID, BuyerNametext (default) or JSON stringBillingEmail = [email protected], TransactionRate = 0.0290, TransactionCost = 0.0000, BillingMobileNumber = 0123456789, TransactionFee = 100.0, GST = 0, NetAmount = 1900.0, IPAddress = 192.168.0.1, BankName = unknownbank, ExpiryDate = 2020, StatusDescription = This is status description, SettlementDate = 2020-05-26 10:51:51, PaidDate = 2020-05-31 10:51:51, TerminalID = 999
Query Params
string
required

Merchant ID in PG system. alphanumeric, 32 chars.

string
required

This is the data integrity protection hash string. 32 chars hexadecimal string

date-time
required

date (YYYY-MM-DD) or date(YYYY-MM-DD HH:ii:ss). The date or beginning time of transactions to query 2020-10-10 or 2020-10-10 07:11:24

string

optional, second in numeric. Without rduration, the search duration is 24 hours or 86400 seconds starting from rdate

string

optional, alphanumeric, 32 chars. 00 - success, 11 - failed, 22 - pending, Combine with delimiter "|" for multiple status or left empty for all status

string

version. 2.0, 3.0, or latest is 4.0

string

optional, predefined tags. BillingEmail - billing email, TransactionRate - transaction rate, BillingInfo - billing info, TransactionCost - transaction cost, Channel - channel, BillingMobileNumber - billing mobile, TransactionFee - transaction fee, GST - GST (tax), NetAmount - net amount, IPAddress - IP address, BankName - bank name, BIN - card no (hidden), ExpiryDate - card expiry date, StatusDescription - status description, SettlementDate - settlement date, PaidDate - paid date, TerminalID - terminal ID, PayTransactionID - transaction ID, BuyerName - buyer name, CaptureRefID - Capture Reference ID (Only in v3), RefundRefID - Refund Reference ID (Only in v3), AcquirerName - Acquiring bank or processor name (For gateway solution merchant only), CardScheme - Card brand (VISA, MASTERCARD), CardType - Card type (GOLD, PLATINUM), CardCountry - Country name from the user's card, all - for all additional fields, Combine with delimiter "," for multiple fields

string

optional. Response format in either text/json/csv(only in v2 and v3)

string

optional. The total page number with 5000 records per page

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json